kind: Ingress
apiVersion: extensions/v1beta1
metadata:
  name: panel-web
  namespace: default
  annotations:
    kubernetes.io/ingress.class: traefik
    traefik.ingress.kubernetes.io/router.entrypoints: web
    # This Ingress will also catch every request to the api and switch them to https
    # This way we don't have to define a redirect web (80) ingress for every api service
    traefik.ingress.kubernetes.io/router.middlewares: traefik-redirect-https@kubernetescrd
spec:
  rules:
    - host: panel.minekloud.com
      http:
        paths:
          - path: /
            backend:
              serviceName: panel
              servicePort: 80

---
kind: Ingress
apiVersion: extensions/v1beta1
metadata:
  name: panel-websecure
  namespace: default
  annotations:
    kubernetes.io/ingress.class: traefik
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: 'true'
spec:
  rules:
    - host: panel.minekloud.com
      http:
        paths:
          - path: /
            backend:
              serviceName: panel
              servicePort: 80
  tls:
  - hosts:
    - panel.minekloud.com
    secretName: panel-certificate
